/*******************************************************************************
 * FoxHeroCamera generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxHeroCamera extends GameFixedCamera;

simulated function UpdateCamera(Pawn P, GamePlayerCamera CameraActor, float DeltaTime, out TViewTarget OutVT)
{
    local CameraActor CamActor;
    local Vector2D ViewportSize;

    OutVT.Target.GetActorEyesViewPoint(OutVT.POV.Location, OutVT.POV.Rotation);
    CamActor = CameraActor(OutVT.Target);
    // End:0x1B5
    if(CamActor != none)
    {
        class'Engine'.static.GetEngine().GameViewport.GetViewportSize(ViewportSize);
        OutVT.POV.FOV = (CamActor.FOVAngle / (ViewportSize.X / ViewportSize.Y)) * 1.10;
    }
    // End:0x1EE
    else
    {
        OutVT.POV.FOV = DefaultFOV;
    }
    //return;    
}

defaultproperties
{
    DefaultFOV=65.0
}